package org.bench4q.master.infrastructure.highavailable;

import java.util.UUID;

import org.bench4q.master.domain.entity.Agent;

public class AgentWithRunId {
	private Agent agent;
	private UUID runId;

	public Agent getAgent() {
		return agent;
	}

	private void setAgent(Agent agent) {
		this.agent = agent;
	}

	public UUID getRunId() {
		return runId;
	}

	private void setRunId(UUID runId) {
		this.runId = runId;
	}

	public AgentWithRunId(Agent agent, UUID runId) {
		this.setAgent(agent);
		this.setRunId(runId);
	}
}
